UPDATE GlobalParameters SET Value = '125' WHERE Name = 'UPGRADE_NET_PRODUCTION_PERCENT_COST' ;

/*Update Unit Combat*/
UPDATE Units SET Combat = 20 WHERE UnitType = 'UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE Units SET Combat = 22 WHERE UnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER';
UPDATE Units SET Combat = 30 WHERE UnitType = 'UNIT_GREEK_HOPLITE';
UPDATE Units SET Combat = 32 WHERE UnitType = 'UNIT_HORSEMAN';
UPDATE Units SET Combat = 48 WHERE UnitType = 'UNIT_GEORGIAN_KHEVSURETI';
UPDATE Units SET Combat = 67 WHERE UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';
UPDATE Units SET Combat = 75 WHERE UnitType = 'UNIT_INFANTRY';
UPDATE Units SET Combat = 77 WHERE UnitType = 'UNIT_DIGGER';
UPDATE Units SET RangedCombat = 30 WHERE UnitType = 'UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE Units SET RangedCombat = 80 WHERE UnitType = 'UNIT_AT_CREW'; 		
UPDATE Units SET RangedCombat = 90 WHERE UnitType = 'UNIT_MODERN_AT';	

/*Update Unit Costs, mostly for anti-cavalry*/
UPDATE Units SET Cost = 65 WHERE UnitType = 'UNIT_SUMERIAN_WAR_CART';
UPDATE Units SET Cost = 70 WHERE UnitType = 'UNIT_GREEK_HOPLITE';
UPDATE Units SET Cost = 90 WHERE UnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER';
UPDATE Units SET Cost = 100 WHERE UnitType = 'UNIT_HORSEMAN';
UPDATE Units SET Cost = 110 WHERE UnitType = 'UNIT_SWORDSMAN';
UPDATE Units SET Cost = 110 WHERE UnitType = 'UNIT_MACEDONIAN_HYPASPIST';
UPDATE Units SET Cost = 110 WHERE UnitType = 'UNIT_PERSIAN_IMMORTAL';
UPDATE Units SET Cost = 120 WHERE UnitType = 'UNIT_ROMAN_LEGION';
UPDATE Units SET Cost = 220 WHERE UnitType = 'UNIT_KNIGHT';
UPDATE Units SET Cost = 220 WHERE UnitType = 'UNIT_ARABIAN_MAMLUK';
UPDATE Units SET Cost = 150 WHERE UnitType = 'UNIT_PIKEMAN';
UPDATE Units SET Cost = 320 WHERE UnitType = 'UNIT_ENGLISH_REDCOAT';
UPDATE Units SET Cost = 360 WHERE UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';
UPDATE Units SET Cost = 350 WHERE UnitType = 'UNIT_AT_CREW';
UPDATE Units SET Cost = 500 WHERE UnitType = 'UNIT_MODERN_AT';

/*Update Unit Maintenance*/
UPDATE Units SET Maintenance = 1 WHERE UnitType = 'UNIT_SUMERIAN_WAR_CART';
UPDATE Units SET Maintenance = 2 WHERE UnitType = 'UNIT_PIKEMAN';
UPDATE Units SET Maintenance = 2 WHERE UnitType = 'UNIT_MILITARY_ENGINEER';
UPDATE Units SET Maintenance = 2 WHERE UnitType = 'UNIT_INDIAN_VARU';
UPDATE Units SET Maintenance = 3 WHERE UnitType = 'UNIT_PIKE_AND_SHOT';
UPDATE Units SET Maintenance = 6 WHERE UnitType = 'UNIT_MODERN_AT';

UPDATE Units SET BuildCharges = 4 WHERE UnitType = 'UNIT_MILITARY_ENGINEER';

/*Update Unit PreReqs*/
UPDATE Units SET PrereqTech = "TECH_THE_WHEEL" WHERE UnitType = 'UNIT_SUMERIAN_WAR_CART';
UPDATE Units SET PrereqTech = "TECH_METAL_CASTING" WHERE UnitType = 'UNIT_MUSKETMAN';
UPDATE Units SET PrereqTech = "TECH_GUNPOWDER" WHERE UnitType = 'UNIT_BOMBARD';
UPDATE Units SET MandatoryObsoleteTech = "TECH_METAL_CASTING" WHERE UnitType = 'UNIT_WARRIOR';

/*Update Unit Ranges*/
UPDATE Units SET Range = '2' WHERE UnitType = 'UNIT_CHINESE_CROUCHING_TIGER';
UPDATE Units SET Range = '2' WHERE UnitType = 'UNIT_MACHINE_GUN';
UPDATE Units SET Range = '1' WHERE UnitType = 'UNIT_AT_CREW';
UPDATE Units SET Range = '1' WHERE UnitType = 'UNIT_MODERN_AT';
UPDATE Units SET Range = '3' WHERE UnitType = 'UNIT_ARTILLERY';
UPDATE Units SET Range = '3' WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';

UPDATE UnitAiInfos SET AiType ='UNITTYPE_RANGED' WHERE AiType ='UNITTYPE_MELEE' AND (UnitType = 'UNIT_AT_CREW' OR UnitType = 'UNIT_MODERN_AT');

/*Give Knights chariot move*/

UPDATE Units SET BaseMoves = '3' WHERE UnitType = 'UNIT_KNIGHT';
UPDATE Units SET BaseMoves = '3' WHERE UnitType = 'UNIT_ARABIAN_MAMLUK';
UPDATE Units SET BaseMoves = '3' WHERE UnitType = 'UNIT_GEORGIAN_KHEVSURETI';
INSERT OR REPLACE INTO TypeTags (Type, Tag)	VALUES ('UNIT_KNIGHT', 'CLASS_HEAVY_CHARIOT');
INSERT OR REPLACE INTO TypeTags (Type, Tag)	VALUES ('UNIT_ARABIAN_MAMLUK', 'CLASS_HEAVY_CHARIOT');
INSERT OR REPLACE INTO TypeTags (Type, Tag)	VALUES ('UNIT_CREE_OKIHTCITAW', 'CLASS_MELEE');
INSERT OR REPLACE INTO TypeTags (Type, Tag)	VALUES ('ABILITY_IGNORE_ZOC', 'CLASS_RECON');

/*Make "Barbarian Horse Archers buildable by everyone and have Saka Horse Archers replace them for Scythia"*/
UPDATE Units SET TraitType = NULL WHERE UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
UPDATE Units SET Cost = 100, Maintenance = 2, BaseMoves = 4, Combat = 20, RangedCombat = 27 WHERE UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
UPDATE Units SET StrategicResource = 'RESOURCE_HORSES', MandatoryObsoleteTech = 'TECH_BALLISTICS', PrereqTech = 'TECH_HORSEBACK_RIDING' WHERE UnitType = 'UNIT_BARBARIAN_HORSE_ARCHER';
INSERT OR REPLACE INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_BARBARIAN_HORSE_ARCHER', 'UNIT_FIELD_CANNON');
INSERT OR REPLACE INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_CHINESE_CROUCHING_TIGER', 'UNIT_CROSSBOWMAN');
UPDATE UnitReplaces SET ReplacesUnitType = 'UNIT_HEAVY_CHARIOT' WHERE CivUniqueUnitType = 'UNIT_SUMERIAN_WAR_CART';
UPDATE UnitReplaces SET ReplacesUnitType = 'UNIT_BARBARIAN_HORSE_ARCHER' WHERE CivUniqueUnitType = 'UNIT_EGYPTIAN_CHARIOT_ARCHER';

/*Update Building Prereqs*/
DELETE FROM Unit_BuildingPrereqs WHERE Unit = 'UNIT_MILITARY_ENGINEER';

/*Update Unit Replacements*/

/*Modify Unit Bonuses*/




